Name:           ipw2100-firmware
Version:        1.3
Release:        1%{?dist}
Summary:        Firmware for the ipw2100-driver

Group:          System Environment/Kernel
License:        Distributable
URL:            http://ipw2100.sourceforge.net/
Source0:        ipw2100-fw-1.3.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       kernel >= 2.6.11-1.14_FC3

# we really don't need debug packages for this
%define debug_package %{nil}

%description
This package contains the firmware needed by the ipw2100 driver. The 
ipw2100 driver supports the ipw2100-802.11b WLAN-Cards from Intel
found in many Centrino notebooks.

Usage of the firmware is subject to the terms contained in
%{_docdir}/%{name}-%{version}/LICENSE. Please read
the license carefully.

%prep
%setup -c -T
tar -xvzf %{SOURCE0}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 0644 ipw2100-1.3.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3.fw
install -D -p -m 0644 ipw2100-1.3-i.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-i.fw
install -D -p -m 0644 ipw2100-1.3-p.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-p.fw
install -D -p -m 0644 LICENSE $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-LICENSE
mkdir doc/
ln -sf /lib/firmware/ipw2100-1.3-LICENSE doc/ipw2100-1.3-LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*LICENSE
/lib/firmware/*

%changelog
* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Tue Nov 23 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.2-0.lvn.1
- News spec-file based on ipw2200
